com.tibbo.aggregate.common.datatable

## Class DataTableUtils

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.DataTableUtils

-     public class DataTableUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataTableUtils.FilterMode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATA_TABLE_NULL`
    `static java.lang.String` | `DATA_TABLE_VISIBLE_NULL`
    `static char` | `ELEMENT_END`
    `static char` | `ELEMENT_NAME_VALUE_SEPARATOR`
    `static char` | `ELEMENT_START`
    `static char` | `ELEMENT_VISIBLE_END`
    `static char` | `ELEMENT_VISIBLE_NAME_VALUE_SEPARATOR`
    `static char` | `ELEMENT_VISIBLE_START`
    `static java.lang.String` | `NAMING_ENVIRONMENT_FULL_DATA`
    `static java.lang.String` | `NAMING_ENVIRONMENT_SHORT_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Evaluator` | `createEvaluator(DataTable dataTable, ContextManager contextManager, Context context)`
    `static java.lang.String` | `createRecordKeyString(DataRecord record, java.lang.Integer rowNumber, java.lang.String keyField)`
    `static java.nio.charset.Charset` | `detectCharset(byte[] data)`
    `static java.lang.String` | `fieldValueToString(FieldFormat ff, java.lang.Object value)`
    `static java.util.List<Binding>` | `filterBindings(TableFormat tableFormat, java.util.Collection<java.lang.String> fields)`
    `static java.util.Set<java.lang.String>` | `findDifferingFields(DataTable first, DataTable second)`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getEditorSelectionValues()`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getValidatorSelectionValues()`
    `static void` | `inlineData(DataTable table, ContextManager cm, CallerController cc)`
    `static boolean` | `isEncodedTable(java.lang.String string)`
    `static boolean` | `isOneValueFormat(TableFormat format)`
    `static DataTable` | `makeSubtable(DataTable table, java.util.Collection<java.lang.String> fields)`
    `static java.lang.String` | `prettyPrint(DataTable table)` Returns the contents of the table in a user-readable way.
    `static java.lang.String` | `prettyPrint(DataTable table, int maxRecords)`
    `static java.lang.String` | `prettyPrint(DataTable table, int maxRecords, int columnWidthChars)`
    `static DataTable` | `processBindings(DataTable table, Evaluator evaluator)`
    `static DataTable` | `processBindings(DataTable table, Evaluator evaluator, ErrorCollector errorCollector)`
    `static DataTable` | `processBindings(DataTable table, Evaluator evaluator, ErrorCollector errorCollector, boolean split)`
    `static void` | `processBindingsForAllRows(DataTable table, Evaluator evaluator, ErrorCollector errorCollector)`
    `static void` | `removeFieldsWithBindings(TableFormat format, java.lang.String[] fieldsToRemove)`
    `static java.lang.String` | `transferDecode(java.lang.String value, ClassicEncodingSettings settings)`
    `static java.lang.String` | `transferEncode(java.lang.String value)`
    `static DataTable` | `wrapToTable(java.util.List<java.lang.Object> values)`
    `static DataTable` | `wrapToTable(java.util.Map<java.lang.String,java.lang.Object> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMING_ENVIRONMENT_SHORT_DATA

          public static final java.lang.String NAMING_ENVIRONMENT_SHORT_DATA

      See Also:
        Constant Field Values

    - #### NAMING_ENVIRONMENT_FULL_DATA

          public static final java.lang.String NAMING_ENVIRONMENT_FULL_DATA

      See Also:
        Constant Field Values

    - #### ELEMENT_START

          public static final char ELEMENT_START

      See Also:
        Constant Field Values

    - #### ELEMENT_END

          public static final char ELEMENT_END

      See Also:
        Constant Field Values

    - #### ELEMENT_NAME_VALUE_SEPARATOR

          public static final char ELEMENT_NAME_VALUE_SEPARATOR

      See Also:
        Constant Field Values

    - #### ELEMENT_VISIBLE_START

          public static final char ELEMENT_VISIBLE_START

      See Also:
        Constant Field Values

    - #### ELEMENT_VISIBLE_END

          public static final char ELEMENT_VISIBLE_END

      See Also:
        Constant Field Values

    - #### ELEMENT_VISIBLE_NAME_VALUE_SEPARATOR

          public static final char ELEMENT_VISIBLE_NAME_VALUE_SEPARATOR

      See Also:
        Constant Field Values

    - #### DATA_TABLE_NULL

          public static final java.lang.String DATA_TABLE_NULL

    - #### DATA_TABLE_VISIBLE_NULL

          public static final java.lang.String DATA_TABLE_VISIBLE_NULL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataTableUtils

          public DataTableUtils()

  - ### Method Detail

    - #### transferDecode

          public static java.lang.String transferDecode(java.lang.String value,
                                                        ClassicEncodingSettings settings)

    - #### transferEncode

          public static java.lang.String transferEncode(java.lang.String value)

    - #### inlineData

          public static void inlineData(DataTable table,
                                        ContextManager cm,
                                        CallerController cc)
                                 throws ContextException

      Throws:
        `ContextException`

    - #### getEditorSelectionValues

          public static java.util.Map<java.lang.Object,java.lang.String> getEditorSelectionValues()

    - #### getValidatorSelectionValues

          public static java.util.Map<java.lang.Object,java.lang.String> getValidatorSelectionValues()

    - #### wrapToTable

          public static DataTable wrapToTable(java.util.List<java.lang.Object> values)

    - #### wrapToTable

          public static DataTable wrapToTable(java.util.Map<java.lang.String,java.lang.Object> values)

    - #### findDifferingFields

          public static java.util.Set<java.lang.String> findDifferingFields(DataTable first,
                                                                            DataTable second)

    - #### makeSubtable

          public static DataTable makeSubtable(DataTable table,
                                               java.util.Collection<java.lang.String> fields)

    - #### filterBindings

          public static java.util.List<Binding> filterBindings(TableFormat tableFormat,
                                                               java.util.Collection<java.lang.String> fields)

    - #### createEvaluator

          public static Evaluator createEvaluator(DataTable dataTable,
                                                  ContextManager contextManager,
                                                  Context context)

    - #### fieldValueToString

          public static java.lang.String fieldValueToString(FieldFormat ff,
                                                            java.lang.Object value)

    - #### detectCharset

          public static java.nio.charset.Charset detectCharset(byte[] data)

    - #### createRecordKeyString

          public static java.lang.String createRecordKeyString(DataRecord record,
                                                               java.lang.Integer rowNumber,
                                                               java.lang.String keyField)

    - #### processBindings

          public static DataTable processBindings(DataTable table,
                                                  Evaluator evaluator)

    - #### processBindings

          public static DataTable processBindings(DataTable table,
                                                  Evaluator evaluator,
                                                  ErrorCollector errorCollector)

    - #### processBindings

          public static DataTable processBindings(DataTable table,
                                                  Evaluator evaluator,
                                                  ErrorCollector errorCollector,
                                                  boolean split)

    - #### processBindingsForAllRows

          public static void processBindingsForAllRows(DataTable table,
                                                       Evaluator evaluator,
                                                       ErrorCollector errorCollector)

    - #### isEncodedTable

          public static boolean isEncodedTable(java.lang.String string)

    - #### removeFieldsWithBindings

          public static void removeFieldsWithBindings(TableFormat format,
                                                      java.lang.String[] fieldsToRemove)

    - #### isOneValueFormat

          public static boolean isOneValueFormat(TableFormat format)

    - #### prettyPrint

          public static java.lang.String prettyPrint(DataTable table)

      Returns the contents of the table in a user-readable way. Intended to be used with IntelliJ IDEA Custom Type Renderer. See this KB article for details.

    - #### prettyPrint

          public static java.lang.String prettyPrint(DataTable table,
                                                     int maxRecords)

    - #### prettyPrint

          public static java.lang.String prettyPrint(DataTable table,
                                                     int maxRecords,
                                                     int columnWidthChars)